# silencedetect.h File Reference

`#include <opal/buildopts.h>`
`#include <rtp/rtp.h>`

Include dependency graph for silencedetect.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalSilenceDetector
struct | OpalSilenceDetector::Params
class | OpalPCM16SilenceDetector

## Functions

ostream & | operator<< (ostream &strm, OpalSilenceDetector::Mode mode)

## Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | OpalSilenceDetector::Mode | mode |
| ) |  |  |